<script setup lang="ts">
	// ibms楼宇集成管理APP
	import { onLaunch, onShow, onHide, onReady } from "@dcloudio/uni-app";
	// #ifdef APP-PLUS
	let color : any, ac : any, c2int : any, win : any;
	color = plus.android.newObject("android.graphics.Color")
	ac = plus.android.runtimeMainActivity();
	c2int = plus.android.invoke(color, "parseColor", "#1d345e")
	win = plus.android.invoke(ac, "getWindow");
	plus.android.invoke(win, "setNavigationBarColor", c2int)
	// #endif
	onReady(() => {
		// #ifdef APP-PLUS
		plus.navigator.setStatusBarStyle("light");
		// #endif
	})
	onShow(() => {
		// #ifdef APP-PLUS
		plus.navigator.setStatusBarStyle("light");
		// #endif
	});
	onLaunch(() => {
		console.log("App Launch");
		// #ifdef APP-PLUS
		plus.navigator.setStatusBarStyle("light");
		// #endif
	});
	onHide(() => {
		console.log("App Hide");
		// #ifdef APP-PLUS
		plus.navigator.setStatusBarStyle("light");
		// #endif
	});
</script>
<style lang="scss">
	@import "./styles/common.scss";

	page {
		// background-image:
		// 	repeating-linear-gradient(35deg, rgba(13, 28, 61, .5), rgba(13, 28, 61, .5) 2rpx, transparent 2rpx, transparent 150rpx),
		// 	repeating-linear-gradient(-35deg, rgba(13, 28, 61, .5), rgba(13, 28, 61, .5) 2rpx, transparent 2rpx, transparent 150rpx),
		// 	radial-gradient(at 50% 50%, rgb(29, 52, 94) 1%, rgb(3, 22, 46) 60%);
		// background-image: linear-gradient(to right, #ffecd2 0%, #fcb69f 100%);
		background-color: #1d345e;
	}

	#app {
		overflow-y: auto;
	}
</style>